Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
19.192.0.0
Broadcast address
19.255.255.255
First usable
19.192.0.1
Last usable
19.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 13C00000 · Integer 331350016 to 335544319
Reverse DNS zones
192.19.in-addr.arpa
193.19.in-addr.arpa
194.19.in-addr.arpa
195.19.in-addr.arpa
196.19.in-addr.arpa
197.19.in-addr.arpa
198.19.in-addr.arpa
199.19.in-addr.arpa
200.19.in-addr.arpa
201.19.in-addr.arpa
202.19.in-addr.arpa
203.19.in-addr.arpa
204.19.in-addr.arpa
205.19.in-addr.arpa
206.19.in-addr.arpa
207.19.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.11000000.00000000.0000000019.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00010011.11000000.00000000.0000000019.192.0.0
Broadcast00010011.11111111.11111111.1111111119.255.255.255
Split into smaller subnets/22

19.192.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.192.0.0/2219.192.0.1 to 19.192.3.25419.192.3.2551,022
219.192.4.0/2219.192.4.1 to 19.192.7.25419.192.7.2551,022
319.192.8.0/2219.192.8.1 to 19.192.11.25419.192.11.2551,022
419.192.12.0/2219.192.12.1 to 19.192.15.25419.192.15.2551,022
519.192.16.0/2219.192.16.1 to 19.192.19.25419.192.19.2551,022
619.192.20.0/2219.192.20.1 to 19.192.23.25419.192.23.2551,022
719.192.24.0/2219.192.24.1 to 19.192.27.25419.192.27.2551,022
819.192.28.0/2219.192.28.1 to 19.192.31.25419.192.31.2551,022
919.192.32.0/2219.192.32.1 to 19.192.35.25419.192.35.2551,022
1019.192.36.0/2219.192.36.1 to 19.192.39.25419.192.39.2551,022
1119.192.40.0/2219.192.40.1 to 19.192.43.25419.192.43.2551,022
1219.192.44.0/2219.192.44.1 to 19.192.47.25419.192.47.2551,022
1319.192.48.0/2219.192.48.1 to 19.192.51.25419.192.51.2551,022
1419.192.52.0/2219.192.52.1 to 19.192.55.25419.192.55.2551,022
1519.192.56.0/2219.192.56.1 to 19.192.59.25419.192.59.2551,022
1619.192.60.0/2219.192.60.1 to 19.192.63.25419.192.63.2551,022
1719.192.64.0/2219.192.64.1 to 19.192.67.25419.192.67.2551,022
1819.192.68.0/2219.192.68.1 to 19.192.71.25419.192.71.2551,022
1919.192.72.0/2219.192.72.1 to 19.192.75.25419.192.75.2551,022
2019.192.76.0/2219.192.76.1 to 19.192.79.25419.192.79.2551,022
2119.192.80.0/2219.192.80.1 to 19.192.83.25419.192.83.2551,022
2219.192.84.0/2219.192.84.1 to 19.192.87.25419.192.87.2551,022
2319.192.88.0/2219.192.88.1 to 19.192.91.25419.192.91.2551,022
2419.192.92.0/2219.192.92.1 to 19.192.95.25419.192.95.2551,022
2519.192.96.0/2219.192.96.1 to 19.192.99.25419.192.99.2551,022
2619.192.100.0/2219.192.100.1 to 19.192.103.25419.192.103.2551,022
2719.192.104.0/2219.192.104.1 to 19.192.107.25419.192.107.2551,022
2819.192.108.0/2219.192.108.1 to 19.192.111.25419.192.111.2551,022
2919.192.112.0/2219.192.112.1 to 19.192.115.25419.192.115.2551,022
3019.192.116.0/2219.192.116.1 to 19.192.119.25419.192.119.2551,022
3119.192.120.0/2219.192.120.1 to 19.192.123.25419.192.123.2551,022
3219.192.124.0/2219.192.124.1 to 19.192.127.25419.192.127.2551,022
3319.192.128.0/2219.192.128.1 to 19.192.131.25419.192.131.2551,022
3419.192.132.0/2219.192.132.1 to 19.192.135.25419.192.135.2551,022
3519.192.136.0/2219.192.136.1 to 19.192.139.25419.192.139.2551,022
3619.192.140.0/2219.192.140.1 to 19.192.143.25419.192.143.2551,022
3719.192.144.0/2219.192.144.1 to 19.192.147.25419.192.147.2551,022
3819.192.148.0/2219.192.148.1 to 19.192.151.25419.192.151.2551,022
3919.192.152.0/2219.192.152.1 to 19.192.155.25419.192.155.2551,022
4019.192.156.0/2219.192.156.1 to 19.192.159.25419.192.159.2551,022
4119.192.160.0/2219.192.160.1 to 19.192.163.25419.192.163.2551,022
4219.192.164.0/2219.192.164.1 to 19.192.167.25419.192.167.2551,022
4319.192.168.0/2219.192.168.1 to 19.192.171.25419.192.171.2551,022
4419.192.172.0/2219.192.172.1 to 19.192.175.25419.192.175.2551,022
4519.192.176.0/2219.192.176.1 to 19.192.179.25419.192.179.2551,022
4619.192.180.0/2219.192.180.1 to 19.192.183.25419.192.183.2551,022
4719.192.184.0/2219.192.184.1 to 19.192.187.25419.192.187.2551,022
4819.192.188.0/2219.192.188.1 to 19.192.191.25419.192.191.2551,022
4919.192.192.0/2219.192.192.1 to 19.192.195.25419.192.195.2551,022
5019.192.196.0/2219.192.196.1 to 19.192.199.25419.192.199.2551,022
5119.192.200.0/2219.192.200.1 to 19.192.203.25419.192.203.2551,022
5219.192.204.0/2219.192.204.1 to 19.192.207.25419.192.207.2551,022
5319.192.208.0/2219.192.208.1 to 19.192.211.25419.192.211.2551,022
5419.192.212.0/2219.192.212.1 to 19.192.215.25419.192.215.2551,022
5519.192.216.0/2219.192.216.1 to 19.192.219.25419.192.219.2551,022
5619.192.220.0/2219.192.220.1 to 19.192.223.25419.192.223.2551,022
5719.192.224.0/2219.192.224.1 to 19.192.227.25419.192.227.2551,022
5819.192.228.0/2219.192.228.1 to 19.192.231.25419.192.231.2551,022
5919.192.232.0/2219.192.232.1 to 19.192.235.25419.192.235.2551,022
6019.192.236.0/2219.192.236.1 to 19.192.239.25419.192.239.2551,022
6119.192.240.0/2219.192.240.1 to 19.192.243.25419.192.243.2551,022
6219.192.244.0/2219.192.244.1 to 19.192.247.25419.192.247.2551,022
6319.192.248.0/2219.192.248.1 to 19.192.251.25419.192.251.2551,022
6419.192.252.0/2219.192.252.1 to 19.192.255.25419.192.255.2551,022
6519.193.0.0/2219.193.0.1 to 19.193.3.25419.193.3.2551,022
6619.193.4.0/2219.193.4.1 to 19.193.7.25419.193.7.2551,022
6719.193.8.0/2219.193.8.1 to 19.193.11.25419.193.11.2551,022
6819.193.12.0/2219.193.12.1 to 19.193.15.25419.193.15.2551,022
6919.193.16.0/2219.193.16.1 to 19.193.19.25419.193.19.2551,022
7019.193.20.0/2219.193.20.1 to 19.193.23.25419.193.23.2551,022
7119.193.24.0/2219.193.24.1 to 19.193.27.25419.193.27.2551,022
7219.193.28.0/2219.193.28.1 to 19.193.31.25419.193.31.2551,022
7319.193.32.0/2219.193.32.1 to 19.193.35.25419.193.35.2551,022
7419.193.36.0/2219.193.36.1 to 19.193.39.25419.193.39.2551,022
7519.193.40.0/2219.193.40.1 to 19.193.43.25419.193.43.2551,022
7619.193.44.0/2219.193.44.1 to 19.193.47.25419.193.47.2551,022
7719.193.48.0/2219.193.48.1 to 19.193.51.25419.193.51.2551,022
7819.193.52.0/2219.193.52.1 to 19.193.55.25419.193.55.2551,022
7919.193.56.0/2219.193.56.1 to 19.193.59.25419.193.59.2551,022
8019.193.60.0/2219.193.60.1 to 19.193.63.25419.193.63.2551,022
8119.193.64.0/2219.193.64.1 to 19.193.67.25419.193.67.2551,022
8219.193.68.0/2219.193.68.1 to 19.193.71.25419.193.71.2551,022
8319.193.72.0/2219.193.72.1 to 19.193.75.25419.193.75.2551,022
8419.193.76.0/2219.193.76.1 to 19.193.79.25419.193.79.2551,022
8519.193.80.0/2219.193.80.1 to 19.193.83.25419.193.83.2551,022
8619.193.84.0/2219.193.84.1 to 19.193.87.25419.193.87.2551,022
8719.193.88.0/2219.193.88.1 to 19.193.91.25419.193.91.2551,022
8819.193.92.0/2219.193.92.1 to 19.193.95.25419.193.95.2551,022
8919.193.96.0/2219.193.96.1 to 19.193.99.25419.193.99.2551,022
9019.193.100.0/2219.193.100.1 to 19.193.103.25419.193.103.2551,022
9119.193.104.0/2219.193.104.1 to 19.193.107.25419.193.107.2551,022
9219.193.108.0/2219.193.108.1 to 19.193.111.25419.193.111.2551,022
9319.193.112.0/2219.193.112.1 to 19.193.115.25419.193.115.2551,022
9419.193.116.0/2219.193.116.1 to 19.193.119.25419.193.119.2551,022
9519.193.120.0/2219.193.120.1 to 19.193.123.25419.193.123.2551,022
9619.193.124.0/2219.193.124.1 to 19.193.127.25419.193.127.2551,022
9719.193.128.0/2219.193.128.1 to 19.193.131.25419.193.131.2551,022
9819.193.132.0/2219.193.132.1 to 19.193.135.25419.193.135.2551,022
9919.193.136.0/2219.193.136.1 to 19.193.139.25419.193.139.2551,022
10019.193.140.0/2219.193.140.1 to 19.193.143.25419.193.143.2551,022
10119.193.144.0/2219.193.144.1 to 19.193.147.25419.193.147.2551,022
10219.193.148.0/2219.193.148.1 to 19.193.151.25419.193.151.2551,022
10319.193.152.0/2219.193.152.1 to 19.193.155.25419.193.155.2551,022
10419.193.156.0/2219.193.156.1 to 19.193.159.25419.193.159.2551,022
10519.193.160.0/2219.193.160.1 to 19.193.163.25419.193.163.2551,022
10619.193.164.0/2219.193.164.1 to 19.193.167.25419.193.167.2551,022
10719.193.168.0/2219.193.168.1 to 19.193.171.25419.193.171.2551,022
10819.193.172.0/2219.193.172.1 to 19.193.175.25419.193.175.2551,022
10919.193.176.0/2219.193.176.1 to 19.193.179.25419.193.179.2551,022
11019.193.180.0/2219.193.180.1 to 19.193.183.25419.193.183.2551,022
11119.193.184.0/2219.193.184.1 to 19.193.187.25419.193.187.2551,022
11219.193.188.0/2219.193.188.1 to 19.193.191.25419.193.191.2551,022
11319.193.192.0/2219.193.192.1 to 19.193.195.25419.193.195.2551,022
11419.193.196.0/2219.193.196.1 to 19.193.199.25419.193.199.2551,022
11519.193.200.0/2219.193.200.1 to 19.193.203.25419.193.203.2551,022
11619.193.204.0/2219.193.204.1 to 19.193.207.25419.193.207.2551,022
11719.193.208.0/2219.193.208.1 to 19.193.211.25419.193.211.2551,022
11819.193.212.0/2219.193.212.1 to 19.193.215.25419.193.215.2551,022
11919.193.216.0/2219.193.216.1 to 19.193.219.25419.193.219.2551,022
12019.193.220.0/2219.193.220.1 to 19.193.223.25419.193.223.2551,022
12119.193.224.0/2219.193.224.1 to 19.193.227.25419.193.227.2551,022
12219.193.228.0/2219.193.228.1 to 19.193.231.25419.193.231.2551,022
12319.193.232.0/2219.193.232.1 to 19.193.235.25419.193.235.2551,022
12419.193.236.0/2219.193.236.1 to 19.193.239.25419.193.239.2551,022
12519.193.240.0/2219.193.240.1 to 19.193.243.25419.193.243.2551,022
12619.193.244.0/2219.193.244.1 to 19.193.247.25419.193.247.2551,022
12719.193.248.0/2219.193.248.1 to 19.193.251.25419.193.251.2551,022
12819.193.252.0/2219.193.252.1 to 19.193.255.25419.193.255.2551,022
12919.194.0.0/2219.194.0.1 to 19.194.3.25419.194.3.2551,022
13019.194.4.0/2219.194.4.1 to 19.194.7.25419.194.7.2551,022
13119.194.8.0/2219.194.8.1 to 19.194.11.25419.194.11.2551,022
13219.194.12.0/2219.194.12.1 to 19.194.15.25419.194.15.2551,022
13319.194.16.0/2219.194.16.1 to 19.194.19.25419.194.19.2551,022
13419.194.20.0/2219.194.20.1 to 19.194.23.25419.194.23.2551,022
13519.194.24.0/2219.194.24.1 to 19.194.27.25419.194.27.2551,022
13619.194.28.0/2219.194.28.1 to 19.194.31.25419.194.31.2551,022
13719.194.32.0/2219.194.32.1 to 19.194.35.25419.194.35.2551,022
13819.194.36.0/2219.194.36.1 to 19.194.39.25419.194.39.2551,022
13919.194.40.0/2219.194.40.1 to 19.194.43.25419.194.43.2551,022
14019.194.44.0/2219.194.44.1 to 19.194.47.25419.194.47.2551,022
14119.194.48.0/2219.194.48.1 to 19.194.51.25419.194.51.2551,022
14219.194.52.0/2219.194.52.1 to 19.194.55.25419.194.55.2551,022
14319.194.56.0/2219.194.56.1 to 19.194.59.25419.194.59.2551,022
14419.194.60.0/2219.194.60.1 to 19.194.63.25419.194.63.2551,022
14519.194.64.0/2219.194.64.1 to 19.194.67.25419.194.67.2551,022
14619.194.68.0/2219.194.68.1 to 19.194.71.25419.194.71.2551,022
14719.194.72.0/2219.194.72.1 to 19.194.75.25419.194.75.2551,022
14819.194.76.0/2219.194.76.1 to 19.194.79.25419.194.79.2551,022
14919.194.80.0/2219.194.80.1 to 19.194.83.25419.194.83.2551,022
15019.194.84.0/2219.194.84.1 to 19.194.87.25419.194.87.2551,022
15119.194.88.0/2219.194.88.1 to 19.194.91.25419.194.91.2551,022
15219.194.92.0/2219.194.92.1 to 19.194.95.25419.194.95.2551,022
15319.194.96.0/2219.194.96.1 to 19.194.99.25419.194.99.2551,022
15419.194.100.0/2219.194.100.1 to 19.194.103.25419.194.103.2551,022
15519.194.104.0/2219.194.104.1 to 19.194.107.25419.194.107.2551,022
15619.194.108.0/2219.194.108.1 to 19.194.111.25419.194.111.2551,022
15719.194.112.0/2219.194.112.1 to 19.194.115.25419.194.115.2551,022
15819.194.116.0/2219.194.116.1 to 19.194.119.25419.194.119.2551,022
15919.194.120.0/2219.194.120.1 to 19.194.123.25419.194.123.2551,022
16019.194.124.0/2219.194.124.1 to 19.194.127.25419.194.127.2551,022
16119.194.128.0/2219.194.128.1 to 19.194.131.25419.194.131.2551,022
16219.194.132.0/2219.194.132.1 to 19.194.135.25419.194.135.2551,022
16319.194.136.0/2219.194.136.1 to 19.194.139.25419.194.139.2551,022
16419.194.140.0/2219.194.140.1 to 19.194.143.25419.194.143.2551,022
16519.194.144.0/2219.194.144.1 to 19.194.147.25419.194.147.2551,022
16619.194.148.0/2219.194.148.1 to 19.194.151.25419.194.151.2551,022
16719.194.152.0/2219.194.152.1 to 19.194.155.25419.194.155.2551,022
16819.194.156.0/2219.194.156.1 to 19.194.159.25419.194.159.2551,022
16919.194.160.0/2219.194.160.1 to 19.194.163.25419.194.163.2551,022
17019.194.164.0/2219.194.164.1 to 19.194.167.25419.194.167.2551,022
17119.194.168.0/2219.194.168.1 to 19.194.171.25419.194.171.2551,022
17219.194.172.0/2219.194.172.1 to 19.194.175.25419.194.175.2551,022
17319.194.176.0/2219.194.176.1 to 19.194.179.25419.194.179.2551,022
17419.194.180.0/2219.194.180.1 to 19.194.183.25419.194.183.2551,022
17519.194.184.0/2219.194.184.1 to 19.194.187.25419.194.187.2551,022
17619.194.188.0/2219.194.188.1 to 19.194.191.25419.194.191.2551,022
17719.194.192.0/2219.194.192.1 to 19.194.195.25419.194.195.2551,022
17819.194.196.0/2219.194.196.1 to 19.194.199.25419.194.199.2551,022
17919.194.200.0/2219.194.200.1 to 19.194.203.25419.194.203.2551,022
18019.194.204.0/2219.194.204.1 to 19.194.207.25419.194.207.2551,022
18119.194.208.0/2219.194.208.1 to 19.194.211.25419.194.211.2551,022
18219.194.212.0/2219.194.212.1 to 19.194.215.25419.194.215.2551,022
18319.194.216.0/2219.194.216.1 to 19.194.219.25419.194.219.2551,022
18419.194.220.0/2219.194.220.1 to 19.194.223.25419.194.223.2551,022
18519.194.224.0/2219.194.224.1 to 19.194.227.25419.194.227.2551,022
18619.194.228.0/2219.194.228.1 to 19.194.231.25419.194.231.2551,022
18719.194.232.0/2219.194.232.1 to 19.194.235.25419.194.235.2551,022
18819.194.236.0/2219.194.236.1 to 19.194.239.25419.194.239.2551,022
18919.194.240.0/2219.194.240.1 to 19.194.243.25419.194.243.2551,022
19019.194.244.0/2219.194.244.1 to 19.194.247.25419.194.247.2551,022
19119.194.248.0/2219.194.248.1 to 19.194.251.25419.194.251.2551,022
19219.194.252.0/2219.194.252.1 to 19.194.255.25419.194.255.2551,022
19319.195.0.0/2219.195.0.1 to 19.195.3.25419.195.3.2551,022
19419.195.4.0/2219.195.4.1 to 19.195.7.25419.195.7.2551,022
19519.195.8.0/2219.195.8.1 to 19.195.11.25419.195.11.2551,022
19619.195.12.0/2219.195.12.1 to 19.195.15.25419.195.15.2551,022
19719.195.16.0/2219.195.16.1 to 19.195.19.25419.195.19.2551,022
19819.195.20.0/2219.195.20.1 to 19.195.23.25419.195.23.2551,022
19919.195.24.0/2219.195.24.1 to 19.195.27.25419.195.27.2551,022
20019.195.28.0/2219.195.28.1 to 19.195.31.25419.195.31.2551,022
20119.195.32.0/2219.195.32.1 to 19.195.35.25419.195.35.2551,022
20219.195.36.0/2219.195.36.1 to 19.195.39.25419.195.39.2551,022
20319.195.40.0/2219.195.40.1 to 19.195.43.25419.195.43.2551,022
20419.195.44.0/2219.195.44.1 to 19.195.47.25419.195.47.2551,022
20519.195.48.0/2219.195.48.1 to 19.195.51.25419.195.51.2551,022
20619.195.52.0/2219.195.52.1 to 19.195.55.25419.195.55.2551,022
20719.195.56.0/2219.195.56.1 to 19.195.59.25419.195.59.2551,022
20819.195.60.0/2219.195.60.1 to 19.195.63.25419.195.63.2551,022
20919.195.64.0/2219.195.64.1 to 19.195.67.25419.195.67.2551,022
21019.195.68.0/2219.195.68.1 to 19.195.71.25419.195.71.2551,022
21119.195.72.0/2219.195.72.1 to 19.195.75.25419.195.75.2551,022
21219.195.76.0/2219.195.76.1 to 19.195.79.25419.195.79.2551,022
21319.195.80.0/2219.195.80.1 to 19.195.83.25419.195.83.2551,022
21419.195.84.0/2219.195.84.1 to 19.195.87.25419.195.87.2551,022
21519.195.88.0/2219.195.88.1 to 19.195.91.25419.195.91.2551,022
21619.195.92.0/2219.195.92.1 to 19.195.95.25419.195.95.2551,022
21719.195.96.0/2219.195.96.1 to 19.195.99.25419.195.99.2551,022
21819.195.100.0/2219.195.100.1 to 19.195.103.25419.195.103.2551,022
21919.195.104.0/2219.195.104.1 to 19.195.107.25419.195.107.2551,022
22019.195.108.0/2219.195.108.1 to 19.195.111.25419.195.111.2551,022
22119.195.112.0/2219.195.112.1 to 19.195.115.25419.195.115.2551,022
22219.195.116.0/2219.195.116.1 to 19.195.119.25419.195.119.2551,022
22319.195.120.0/2219.195.120.1 to 19.195.123.25419.195.123.2551,022
22419.195.124.0/2219.195.124.1 to 19.195.127.25419.195.127.2551,022
22519.195.128.0/2219.195.128.1 to 19.195.131.25419.195.131.2551,022
22619.195.132.0/2219.195.132.1 to 19.195.135.25419.195.135.2551,022
22719.195.136.0/2219.195.136.1 to 19.195.139.25419.195.139.2551,022
22819.195.140.0/2219.195.140.1 to 19.195.143.25419.195.143.2551,022
22919.195.144.0/2219.195.144.1 to 19.195.147.25419.195.147.2551,022
23019.195.148.0/2219.195.148.1 to 19.195.151.25419.195.151.2551,022
23119.195.152.0/2219.195.152.1 to 19.195.155.25419.195.155.2551,022
23219.195.156.0/2219.195.156.1 to 19.195.159.25419.195.159.2551,022
23319.195.160.0/2219.195.160.1 to 19.195.163.25419.195.163.2551,022
23419.195.164.0/2219.195.164.1 to 19.195.167.25419.195.167.2551,022
23519.195.168.0/2219.195.168.1 to 19.195.171.25419.195.171.2551,022
23619.195.172.0/2219.195.172.1 to 19.195.175.25419.195.175.2551,022
23719.195.176.0/2219.195.176.1 to 19.195.179.25419.195.179.2551,022
23819.195.180.0/2219.195.180.1 to 19.195.183.25419.195.183.2551,022
23919.195.184.0/2219.195.184.1 to 19.195.187.25419.195.187.2551,022
24019.195.188.0/2219.195.188.1 to 19.195.191.25419.195.191.2551,022
24119.195.192.0/2219.195.192.1 to 19.195.195.25419.195.195.2551,022
24219.195.196.0/2219.195.196.1 to 19.195.199.25419.195.199.2551,022
24319.195.200.0/2219.195.200.1 to 19.195.203.25419.195.203.2551,022
24419.195.204.0/2219.195.204.1 to 19.195.207.25419.195.207.2551,022
24519.195.208.0/2219.195.208.1 to 19.195.211.25419.195.211.2551,022
24619.195.212.0/2219.195.212.1 to 19.195.215.25419.195.215.2551,022
24719.195.216.0/2219.195.216.1 to 19.195.219.25419.195.219.2551,022
24819.195.220.0/2219.195.220.1 to 19.195.223.25419.195.223.2551,022
24919.195.224.0/2219.195.224.1 to 19.195.227.25419.195.227.2551,022
25019.195.228.0/2219.195.228.1 to 19.195.231.25419.195.231.2551,022
25119.195.232.0/2219.195.232.1 to 19.195.235.25419.195.235.2551,022
25219.195.236.0/2219.195.236.1 to 19.195.239.25419.195.239.2551,022
25319.195.240.0/2219.195.240.1 to 19.195.243.25419.195.243.2551,022
25419.195.244.0/2219.195.244.1 to 19.195.247.25419.195.247.2551,022
25519.195.248.0/2219.195.248.1 to 19.195.251.25419.195.251.2551,022
25619.195.252.0/2219.195.252.1 to 19.195.255.25419.195.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses